# norootforbuild
#
%define php_version %(php-config --version 2>/dev/null)

Name: php5-pecl-memcache
Version: 2.2.7
Release: 2.1
#
Group: Productivity/Networking/Web/Servers
License: PHP
#
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: php5-devel zlib-devel
Requires: php5 = %{php_version}
#
URL: http://pecl.php.net/package/memcache
Source: http://pecl.php.net/get/memcache-%{version}.tgz
Source1: memcache.ini
Patch0: memcache-sessiondep.patch 
#
Summary: PHP Memcache client Extension

%description

Memcached is a caching daemon designed especially for dynamic web applications
to decrease database load by storing objects in memory.  This extension allows
you to work with memcached through handy OO and procedural interfaces.

Author:
-------
    Antony Dovgal

%prep

%setup -q -n memcache-%{version}


%build

/usr/bin/phpize

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

%configure --with-libdir=%{_lib}

%{__make}

%install

%makeinstall INSTALL_ROOT="%{buildroot}"

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d
%{__install} -m 644 %{S:1} %{buildroot}%{_sysconfdir}/php5/conf.d/memcache.ini
chmod -x README CREDITS

%clean

%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README CREDITS example.php
%config(noreplace) %{_sysconfdir}/php5/conf.d/memcache.ini
%{_libdir}/php5/extensions/memcache.so

%changelog
* Fri Apr 12 2013 cs@linux-administrator.com
- version 2.0.7
- PHP 5.4 compatibility
- Fixed return value error get_host_port_from_server().
- Fixed PECL Bug #16672 (memcache.php doesn't support unix socket)
- Fixed pecl bug #19374 (memcache.php throws Notice: Undefined index: VALUE when viewing expired items)
* Mon Oct  4 2010 cs@linux-administrator.com
- Fixed pecl bug #16536 (Weight of 0 causes SegFault on memcache_add_server)
- Fixed pecl bug #17130 (Uninitialized tv.tv_usec causing PHP to loop endlessly)
- Fixed pecl bug #13623 (Memcache-client makes php segfault in semi-related code)
* Sat Feb 16 2008 Carsten Schoene cs@linux-administrator.com
- version bump to 2.2.3
- Fixed PECL bug #12883 (Breaks UTF-8 in keys)
- Fixed PECL bug #13060 (make problems, due to role="doc" instead of role="src")
- Added package version to phpinfo()
* Tue Feb  5 2008 cs@linux-administrator.com
- version bump to 2.2.2
